eth_getLogsAsk AIpost https://api.zan.top/node/v1/zksync/mainnet/{apiKey}Returns an array of all logs matching a given filter object.Path ParamsapiKeystringrequiredDefaults to publicFor higher throughput, please create your own API key.Body ParamsidintegerDefaults to 1jsonrpcstringDefaults to 2.0methodstringDefaults to eth_getLogsparamsarray of objectslength between 1 and 1params objectaddressarray of stringsDefaults to 0xfe7c30860d01e28371d40434806f4a8fcdd3a098Contract address or a list of addresses from which logs should originate.address stringADD stringfromBlockstringDefaults to 0x393925String - Either the hex value of a block number OR block tags: block number (in hex) OR block tag (one of the following): * pending - A sample next block built by the client on top of latest and containing the set of transactions usually taken from local mempool. Intuitively, you can think of these as blocks that have not been mined yet. * latest - The most recent block in the canonical chain observed by the client, this block may be re-orged out of the canonical chain even under healthy/normal conditions. * earliest - The lowest numbered block the client has available. Intuitively, you can think of this as the first block created. toBlockstringDefaults to 0x393926String - Either the hex value of a block number OR block tags: block number (in hex) OR block tag (one of the following): * pending - A sample next block built by the client on top of latest and containing the set of transactions usually taken from local mempool. Intuitively, you can think of these as blocks that have not been mined yet. * latest - The most recent block in the canonical chain observed by the client, this block may be re-orged out of the canonical chain even under healthy/normal conditions. * earliest - The lowest numbered block the client has available. Intuitively, you can think of this as the first block created. topicsarray of stringsDefaults to 0x2bd2d8a84b748439fd50d79a49502b4eb5faa25b864da6a9ab5c150704be9a4dAn array of 32-byte. Topics are order-dependent.topics stringADD stringResponse 200Returns array of log objects, or an empty array if nothing has changed since last poll.Updated 5 months ago